LibreOffice: TextSortDescriptor Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Public Attributes | List of all members
TextSortDescriptor Service Referencepublished

describes sort criteria for sorting text. More...

Inheritance diagram for TextSortDescriptor:

## Included Services
service | com::sun::star::util::SortDescriptor

## Public Attributes
char | Delimiter
| contains the character that marks the separation of columns.
boolean | IsSortInTable
| determines if the content of a table is to be sorted.
long | SortRowOrColumnNo0
| contains the row or column index used in the first search key.
boolean | IsSortNumeric0
| determines if the sorting in the first search key is done numeric or alphanumeric order.
boolean | IsSortAscending0
| determines if the sorting in the first search key is done in ascending or descending order.
long | SortRowOrColumnNo1
| contains the row or column index used in the second search key.
boolean | IsSortNumeric1
| determines if the sorting in the second search key is done in numeric or alphanumeric order.
boolean | IsSortAscending1
| determines if the sorting in the second search key is done in ascending or descending order.
long | SortRowOrColumnNo2
| contains the row or column index used in the third search key.
boolean | IsSortNumeric2
| determines if the sorting in the third search key is done in numeric or alphanumeric order.
boolean | IsSortAscending2
| determines if the sorting in the third search key is done in ascending or descending order.
Public Attributes inherited from SortDescriptor
boolean | IsCaseSensitive
| specifies if the case of letters is important when comparing entries.
boolean | SortAscending
| specifies the sorting order.
boolean | SortColumns
| specifies if the columns are sorted.
com::sun::star::lang::Locale | CollatorLocale
| specifies the locale for the compare operator (collator).
string | CollatorAlgorithm
| specifies the algorithm for the compare operator (collator).

## Additional Inherited Members
Exported Interfaces inherited from SortDescriptor
interface | com::sun::star::beans::XPropertySet
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

describes sort criteria for sorting text.

Deprecated:

## Exported Interfaces

## ◆ com::sun::star::util::SortDescriptor

service com::sun::star::util::SortDescriptor

## Member Data Documentation

## ◆ Delimiter

char Delimiter
| property

contains the character that marks the separation of columns.

## ◆ IsSortAscending0

boolean IsSortAscending0
| property

determines if the sorting in the first search key is done in ascending or descending order.

## ◆ IsSortAscending1

boolean IsSortAscending1
| property

determines if the sorting in the second search key is done in ascending or descending order.

## ◆ IsSortAscending2

boolean IsSortAscending2
| property

determines if the sorting in the third search key is done in ascending or descending order.

## ◆ IsSortInTable

boolean IsSortInTable
| property

determines if the content of a table is to be sorted.

## ◆ IsSortNumeric0

boolean IsSortNumeric0
| property

determines if the sorting in the first search key is done numeric or alphanumeric order.

## ◆ IsSortNumeric1

boolean IsSortNumeric1
| property

determines if the sorting in the second search key is done in numeric or alphanumeric order.

## ◆ IsSortNumeric2

boolean IsSortNumeric2
| property

determines if the sorting in the third search key is done in numeric or alphanumeric order.

## ◆ SortRowOrColumnNo0

long SortRowOrColumnNo0
| property

contains the row or column index used in the first search key.

## ◆ SortRowOrColumnNo1

long SortRowOrColumnNo1
| property

contains the row or column index used in the second search key.

## ◆ SortRowOrColumnNo2

long SortRowOrColumnNo2
| property

contains the row or column index used in the third search key.

The documentation for this service was generated from the following file:

- com/sun/star/text/TextSortDescriptor.idl